<?php

echo 'Размер: ' . size_file($size) . "<br />\n";

if (function_exists('iconv')) {
    $jfile = iconv('windows-1251', 'utf-8', $dirlist[$i]);
} else {
    $jfile = $dirlist[$i];
}

include_once H . 'sys/classes/MP3_Id.class.php';

$media = mysql_fetch_assoc(mysql_query("SELECT * FROM `media_info` WHERE `file` = '" . mysql_real_escape_string($jfile) . "' AND `size` = '$size' LIMIT 1"));
if ($media != NULL) {
    echo 'Время: ' . $media['lenght'] . "<br />\n";
    echo "Битрейт: " . $media['bit'] . " KBPS<br />\n";
} elseif (class_exists('ffmpeg_movie')) {
    $media = new ffmpeg_movie($dir_loads . '/' . $dirlist[$i]);

    if (intval($media->getDuration()) > 3599) {
        echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
    } elseif (intval($media->getDuration()) > 59) {
        echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
    } else {
        echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
    }
    echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";

    if (intval($media->getDuration()) > 3599) {
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "', '" . ceil(($media->getBitRate()) / 1024) . "', 'mp3')");
    }
    if (intval($media->getDuration()) > 59) {
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "', '" . ceil(($media->getBitRate()) / 1024) . "', 'mp3')");
    } else
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration()) . " сек', '" . ceil(($media->getBitRate()) / 1024) . "', 'mp3')");
} else {

    $id3 = new MP3_Id();
    $result = $id3->read($dir_loads . '/' . $dirlist[$i]);
    $result = $id3->study();
    if (($id3->getTag('length') <> 0)) {
        echo 'Время: ' . $id3->getTag('length') . "<br />\n";
    }
    if (($id3->getTag('bitrate')) <> 0) {
        echo'Битрейт: ' . $id3->getTag('bitrate') . " KBPS<br />\n";
    }
    mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . $id3->getTag('length') . "', '" . $id3->getTag('bitrate') . "', 'mp3')");
}
